import {
  OuterBox,
  InnerBox,
  TagBox,
} from './baseBox';
import { ActionBoxText } from './ActionBoxText';
import { RecommendationItems } from './RecommendationItems';
import { TickLogo, InfoLogo } from './graphics';
import React, {
  useState,
  useCallback,
  useEffect,
} from 'react';
import ReactDOM from 'react-dom';

const bbHeight = 310;
const bbWidth = 540;
const bbX = 50;
const bbY = 100;

export const Recommendation = ({ isSelected, handleSelection}) => (

  <svg
    width={bbWidth + 200}
    height={bbHeight + 200}
  >
    <OuterBox
      bbHeight={bbHeight}
      bbWidth={bbWidth}
      bbX={bbX}
      bbY={bbY}
    />
    <text
      x={bbX + 15}
      y={bbY + 25}
      class="textStyle"
      font-size="18"
      font-weight="600"
    >
      Recommendations to reduce the risk
    </text>
    <InfoLogo posY={bbY + 10} posX={bbX + 510} />
    <RecommendationItems
      bbHeight={bbHeight}
      bbWidth={bbWidth}
      bbX={bbX}
      bbY={bbY}
      isSelected={isSelected[0]}
      Factor={'Physical Activity Level'}
      CurrentValue={'Low'}
      Action={'Exercise everyday for 30 mins'}
      ExamplePatient={2200}
      Risk={'7% lower risk'}
      Difficulty={'Easy'}
      Indicator={0}
      DifficultyIndicator={0}
      BoxHeightOffset={0}
      handleSelection={handleSelection}
      itemPos = {0}
    />
    <RecommendationItems
      bbHeight={bbHeight}
      bbWidth={bbWidth}
      bbX={bbX}
      bbY={bbY}
      isSelected={isSelected[1]}
      Factor={'Waist Measure'}
      CurrentValue={'120 cm'}
      Action={'Reduce waist measure by 14 cm'}
      ExamplePatient={409}
      Risk={'2% lower risk'}
      Difficulty={'Difficult'}
      Indicator={0}
      DifficultyIndicator={2}
      BoxHeightOffset={130}
      handleSelection={handleSelection}
      itemPos = {1}
    />
  </svg>
);
