import {
  OuterBox,
  InnerBox,
  TagBox,
} from './baseBox';
import { ActionBoxText } from './ActionBoxText';
import { TickLogo, InfoLogo } from './graphics';

export const RecommendationItems = ({
  bbX,
  bbY,
  bbHeight,
  bbWidth,
  isSelected,
  Factor,
  CurrentValue,
  Action,
  ExamplePatient,
  Risk,
  Difficulty,
  Indicator,
  DifficultyIndicator,
  BoxHeightOffset,
  handleSelection,
  itemPos
}) => (
  <g>
    <TickLogo
      posY={bbY + 75 + BoxHeightOffset}
      posX={bbX + 20}
      isSelected={isSelected}
      handleSelection = {handleSelection}
      itemPos = {itemPos}
    />
    <InnerBox
      bbHeight={bbHeight - 200}
      bbWidth={bbWidth - 100}
      bbX={bbX + 60}
      bbY={bbY + 40 + BoxHeightOffset}
      isSelected={isSelected}
      handleSelection = {handleSelection}
      itemPos = {itemPos}
    />
    <ActionBoxText
      bbX={bbX}
      bbY={bbY + BoxHeightOffset}
      Factor={Factor}
      CurrentValue={CurrentValue}
      Action={Action}
      ExamplePatient={ExamplePatient}
      Risk={Risk}
    />
    <TagBox
      bbHeight={25}
      bbWidth={110}
      bbX={bbX + 60 + 10}
      bbY={bbY + 40 + 15 + 60 + BoxHeightOffset}
      indicator={Indicator}
      content= {Risk}
      isSelected={isSelected}
    />
    <TagBox
      bbHeight={25}
      bbWidth={70}
      bbX={bbX + 60 + 10 + 350}
      bbY={bbY + 40 + 15 + 60 + BoxHeightOffset}
      indicator={DifficultyIndicator}
      content= {Difficulty}
      isSelected={isSelected}
    />
  </g>
);
